/*
 	File:		new.h

 	Contains:	Standard C++ header file for operator new

	Written by:	kelly jacklin

 	Copyright:	 1994 by Apple Computer, Inc., all rights reserved

	Change History (most recent first):

		 <1>	10/19/94	k-j		first checked in
*/

#ifndef	__NEW__
#define	__NEW__

#ifndef	__STDDEF__
#include <stddef.h>
#endif

extern void	(* set_new_handler ( void (* new_new_handler)() ))();
extern void	*operator new( size_t size, void *ptr );

extern void	*operator new( size_t size );
extern void	operator delete( void *ptr );

#endif

