/*
	File:		EntryPoints.h

	Contains:	This file contains misc. items for the EntryPoints.c file
	Written by:	

	Copyright:	 1993-1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):


	To Do:
*/

//-----------------------------------------------------------------------------------------
//	Function Prototypes
//-----------------------------------------------------------------------------------------

void EnqueueElementAtHead(QHdr *theQHdr, QElem *theElem, UInt16 whichIntsOff);
void EnqueueElement(QHdr *theQHdr, QElem *theElem, UInt16 whichIntsOff);
QElem *DequeueHead(QHdr *theHdr, UInt16 whichIntsOff);
QElem *DequeueElement(QHdr *theQHdr, QElem *theElem, UInt16 whichIntsOff);

OTResult ValidateHardware(RegEntryID *theID);
Boolean	InitStreamModule(RegEntryID *theID);
void TerminateStreamModule(void);
OSErr InitCFMRoutine(CFragInitBlock *theInitBlock);
void TerminateCFMRoutine(void);
install_info* GetOTInstallInfo(void);

int OpenServiceRoutine(queue_t *q, dev_t *, int, int, cred_t *);
int CloseServiceRoutine(queue_t *q, int, cred_t *);
int WritePutRoutine(queue_t *q, mblk_t *mp);
int WriteServiceRoutine(queue_t *q);

void IOCtlTheStream(queue_t *, mblk_t *);
void FlushTheStream(queue_t *, mblk_t *);
UInt16 GenerateUniqueMinorDevice(void);
Boolean CheckThisMinorDevice(UInt16 minorDeviceNumber);
void AttemptPacketSend(void);
void PreparePacketToBeSent(mblk_t *thePacket);

pascal void RxDTCallback(void *theParam);
pascal void TxDTCallback(void *theParam);
void HandleTimerMessages(queue_t *writeQueue, mblk_t *mp);



Boolean OTInitModule(void);
void OTTerminateModule(void);
